Bug 1462840 - [RFE] Validate required OpenStack repositories before upgrade
[RFE] Validate required OpenStack repositories before upgrade
Status: POST
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations (Show other bugs)
10.0 (Newton)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Fuchs
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2017-06-19 12:46 EDT by Chris Fields
Modified: 2018-03-14 01:52 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 477006 None None None 2017-07-27 09:40 EDT
OpenStack gerrit 483393 None None None 2017-07-27 09:41 EDT

  None (edit)
Description Chris Fields 2017-06-19 12:46:22 EDT
Description of problem:
When upgrading from OSP 8 to OSP 9, a customer found that pacemaker rpm's were out of date after the upgrade.  They later found that they were missing the 'rhel-ha-for-rhel-7-server-rpms' repo on the controller nodes.  They are requesting a 'pre-flight' check that would take place before overcloud updates that would verify that the correct repos are available.  See the list of required repo's here for osp 10: https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/upgrading_red_hat_openstack_platform/chap-introduction#sect-Repository_Requirements.  

Version-Release number of selected component (if applicable):
osp 8 -> 9 was the use-case but the customer would like repos verified moving forward also.  

How reproducible:This happened during an upgrade.  I assume that any upgrade without the above repo will yield the same results.  

Steps to Reproduce:
1.Disable rhel-ha-for-rhel-7-server-rpms repo
2.Perform Overcloud Upgrade
3.Observe pacemaker rpm versions

Actual results:
Pacemaker rpm's do not get updated

Expected results:
Pacemaker rpm's should 

Additional info:

Note You need to log in before you can comment on or make changes to this bug.